Last Comment Bug 761494 - Cannot open all Bookmarks in tabs by Middle-clicking a folder in Sidebar (Ctrl+click open in all tabs and Shift+click open all in window also do not work)
: Cannot open all Bookmarks in tabs by Middle-clicking a folder in Sidebar (Ctr...
Status: RESOLVED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: 15 Branch
: x86 Windows 7
: -- normal with 1 vote (vote)
: Firefox 16
Assigned To: Mano (::mano, needinfo? for any questions; not reading general bugmail)
:
Mentors:
Depends on:
Blocks: 730340
  Show dependency treegraph
 
Reported: 2012-06-04 20:49 PDT by Alice0775 White
Modified: 2012-07-19 05:21 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
patch (2.43 KB, patch)
2012-06-28 11:03 PDT, Mano (::mano, needinfo? for any questions; not reading general bugmail)
mak77: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Alice0775 White 2012-06-04 20:49:30 PDT
http://hg.mozilla.org/mozilla-central/rev/dd6ec482a85d
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/15.0 Firefox/15.0a1 ID:20120604030527

Steps to Reproduce:

1. Start Browser with new profile
2. Open Sidebar (Ctrl+B)
3. Expand tree and middle click a folder

Actual Results:  
  Nothing happens
  And an error appears in Error Console as follows.

Error: TypeError: tbo.view.nodeForTreeIndex is not a function
Source file: chrome://browser/content/bookmarks/sidebarUtils.js
Line: 41


Expected Results:  
  All Bookmarks in the folder should be opened in tabs

Regression window(m-c)
Good:
http://hg.mozilla.org/mozilla-central/rev/d0ebcaa7efb5
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/15.0 Firefox/15.0a1 ID:20120603030523
Bad:
http://hg.mozilla.org/mozilla-central/rev/07d362aa2c1b
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/15.0 Firefox/15.0a1 ID:20120603120904
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=d0ebcaa7efb5&tochange=07d362aa2c1b



Regression window(m-c)
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/ddd5acd40b93
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/15.0 Firefox/15.0a1 ID:20120603032105
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/b1b44a491f6a
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/15.0 Firefox/15.0a1 ID:20120603055102
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=ddd5acd40b93&tochange=b1b44a491f6a

Suspected; Bug 730340
Comment 1 Grant 2012-06-04 21:07:41 PDT
Does this for me on the bookmark toolbar, even right clicking on the folder the "open all in tabs" is greyed out too.
Comment 2 Alice0775 White 2012-06-04 21:12:00 PDT
(In reply to Grant from comment #1)
> Does this for me on the bookmark toolbar, even right clicking on the folder
> the "open all in tabs" is greyed out too.
WFM on Bookmarks Toolbar. Are you try in New profile?
Comment 3 Alice0775 White 2012-06-18 09:15:43 PDT
In Sidebar, Ctrl+clcik open in all tabs and Shift+click open all in window also do not work.
Comment 4 Danial Horton 2012-06-23 13:18:38 PDT
You beat me to the bug Alice, i was just about to enter this.
Comment 5 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2012-06-28 11:03:51 PDT
Created attachment 637593 [details] [diff] [review]
patch
Comment 6 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2012-06-28 11:17:30 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/4d766f24e6a4
Comment 7 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2012-06-28 11:31:40 PDT
Comment on attachment 637593 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 730340 
User impact if declined: Some addons which mess with places trees could break, plus this bug.
Testing completed (on m-c, etc.): No tests for this functionality yet (will do in a follow up) 
Risk to taking this patch (and alternatives if risky): there's a one-liner alternative (QI to nsINavHistoryResultTreeViewer in tree.xml's view setter), but this shouldn't be risky.
String or UUID changes made by this patch: none.
Comment 8 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2012-06-28 22:13:29 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/e20f71378b68
Comment 9 Ed Morley [:emorley] 2012-06-29 00:47:53 PDT
https://hg.mozilla.org/mozilla-central/rev/4d766f24e6a4
Comment 10 :Ms2ger 2012-06-29 05:07:11 PDT
Comment on attachment 637593 [details] [diff] [review]
patch

Review of attachment 637593 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/components/places/content/treeView.js
@@ +50,5 @@
> +
> +  // Bug 761494:
> +  // ----------
> +  // Some addons use methods from nsINavHistoryResultObserver and
> +  // nsINavHistoryResultTreeViewer, without QIing to these intefaces first.

interfaces
Comment 11 Ioana (away) 2012-07-19 05:21:10 PDT
Verified as fixed on:
Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0

Note You need to log in before you can comment on or make changes to this bug.